Bug 9534 - No way to get back to bib detail from edit record screen
Summary: No way to get back to bib detail from edit record screen
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Liz Rea
QA Contact:
URL:
Keywords:
Depends on: 9672
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-02 03:20 UTC by Liz Rea
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9534 - No way to get back to bib detail from edit record (3.03 KB, patch)
2013-03-07 02:56 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 9534 - No way to get back to bib detail from edit record (3.09 KB, patch)
2013-03-18 16:26 UTC, Brendan Gallagher
Details | Diff | Splinter Review
[PASSED QA] Bug 9534 - No way to get back to bib detail from edit record (3.31 KB, patch)
2013-03-30 21:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 9534: Follow-up - Fixing directive inside HTML tag (2.77 KB, patch)
2013-03-30 21:58 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2013-02-02 03:20:22 UTC
If we are advising our librarians to not use the "back" button (which many do), there needs to be a way to get back to a bib detail view from the "edit record" screen.

Without using the browser back button, the only way to do it currently is to search for the item again and click through from the results.
Comment 1 Owen Leonard 2013-03-05 13:33:28 UTC
We might add a "cancel" split button (split like the "save" button is) with these options:

Primary button click -> Return to view (according to  BiblioDefaultView pref)
 - menu option: Cancel and edit items (in case you don't want to 
   save the record before proceeding to items).
 - menu option: Cancel and view record (same as primary button)

We could also do something as simple as making the title in the <h1> a link back to the detail view.

If the solution requires a change to the toolbar, it should wait for (or depend on) Bug 9672.
Comment 2 Liz Rea 2013-03-07 02:56:31 UTC Comment hidden (obsolete)
Comment 3 Liz Rea 2013-03-11 21:38:49 UTC
* Click More -> Cataloging
* Click New Record
* Click the Cancel button
* you should be redirected back to the cataloguing home page

is how that second bit should read. 

Also, 9672 has been pushed now - so this will apply on master.
Comment 4 Brendan Gallagher 2013-03-18 16:26:34 UTC Comment hidden (obsolete)
Comment 5 Brendan Gallagher 2013-03-18 16:28:32 UTC
Good test plan - tested with all views.

Cancel button appeared and returned me to the "choosen" view.
Comment 6 Katrin Fischer 2013-03-30 21:58:21 UTC
Created attachment 17060 [details] [review]
[PASSED QA] Bug 9534 - No way to get back to bib detail from edit record

To test:

* Set your BiblioDefaultDisplay to one of the options (go through all three of them)
* view a record
* click "Edit Record"
* you should see a "Cancel" button on the toolbar - click it
* you will be redirected back to the detail page, in the default display method you have picked

* Click More -> Cataloging
* Click the Cancel button
* you should be redirected back to the cataloguing home page

This patch only applies on top of the patch for bug 9672 as it uses the bootstrap buttons.

Signed-off-by: Brendan <brendan@bywatersolutions.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Tested according to test plan, also with z39.50 overlay from
detail page.
All tests except for tt_valid and QA script pass.
Sending a follow-up to fix that problem.
Comment 7 Katrin Fischer 2013-03-30 21:58:37 UTC
Created attachment 17061 [details] [review]
Bug 9534: Follow-up - Fixing directive inside HTML tag

Resolving a construct with a TT directive inside an HTML tag.
Fixes xt/tt_valid.t
Comment 8 Jared Camins-Esakov 2013-03-31 01:28:25 UTC
This patch has been pushed to master.
Comment 9 Chris Nighswonger 2013-04-11 19:23:39 UTC
I think 'BiblioDefaultDisplay' should read 'BiblioDefaultView'